Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts
Interface JRLinePlot

All Superinterfaces:
  java.lang.Cloneable, JRCategoryAxisFormat, JRChartPlot, JRCloneable, JRValueAxisFormat

All Known Implementing Classes:
  JRBaseLinePlot, JRDesignLinePlot, JRFillLinePlot

    public interface JRLinePlot

extends JRChartPlot, JRCategoryAxisFormat, JRValueAxisFormat

Version:
  $Id: JRLinePlot.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Flavius Sana (flavius_sana@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Field Summary

Fields inherited from interface net.sf.jasperreports.charts.JRCategoryAxisFormat
`PROPERTY_CATEGORY_AXIS_TICK_LABEL_ROTATION`

Method Summary
`JRExpression` | `getCategoryAxisLabelExpression()`
`JRExpression` | `getDomainAxisMaxValueExpression()`
`JRExpression` | `getDomainAxisMinValueExpression()`
`JRExpression` | `getRangeAxisMaxValueExpression()`
`JRExpression` | `getRangeAxisMinValueExpression()`
`java.lang.Boolean` | `getShowLines()`
`java.lang.Boolean` | `getShowShapes()`
`JRExpression` | `getValueAxisLabelExpression()`
`boolean` | `isShowLines()` Deprecated. Replaced by `getShowLines()`
`boolean` | `isShowShapes()` Deprecated. Replaced by `getShowShapes()`
`void` | `setShowLines(boolean isShowLines)` Deprecated. Replaced by `setShowLines(Boolean)`
`void` | `setShowLines(java.lang.Boolean isShowLines)`
`void` | `setShowShapes(boolean isShowShapes)` Deprecated. Replaced by `setShowShapes(Boolean)`
`void` | `setShowShapes(java.lang.Boolean isShowShapes)`

Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot
`addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Methods inherited from interface net.sf.jasperreports.charts.JRCategoryAxisFormat
`getCategoryAxisLabelColor, getCategoryAxisLabelFont, getCategoryAxisLineColor, getCategoryAxisTickLabelColor, getCategoryAxisTickLabelFont, getCategoryAxisTickLabelMask, getCategoryAxisTickLabelRotation, getCategoryAxisVerticalTickLabels, getOwnCategoryAxisLabelColor, getOwnCategoryAxisLineColor, getOwnCategoryAxisTickLabelColor, setCategoryAxisTickLabelRotation`

Methods inherited from interface net.sf.jasperreports.charts.JRValueAxisFormat
`getOwnValueAxisLabelColor, getOwnValueAxisLineColor, getOwnValueAxisTickLabelColor, getValueAxisLabelColor, getValueAxisLabelFont, getValueAxisLineColor, getValueAxisTickLabelColor, getValueAxisTickLabelFont, getValueAxisTickLabelMask, getValueAxisVerticalTickLabels`

Method Detail

### getCategoryAxisLabelExpression

    JRExpression getCategoryAxisLabelExpression()

### getValueAxisLabelExpression

    JRExpression getValueAxisLabelExpression()

### getDomainAxisMinValueExpression

    JRExpression getDomainAxisMinValueExpression()

### getDomainAxisMaxValueExpression

    JRExpression getDomainAxisMaxValueExpression()

### getRangeAxisMinValueExpression

    JRExpression getRangeAxisMinValueExpression()

### getRangeAxisMaxValueExpression

    JRExpression getRangeAxisMaxValueExpression()

### isShowLines

    boolean isShowLines()

  Deprecated. Replaced by `getShowLines()`

### getShowLines

    java.lang.Boolean getShowLines()

### setShowLines

    void setShowLines(boolean isShowLines)

  Deprecated. Replaced by `setShowLines(Boolean)`

### setShowLines

    void setShowLines(java.lang.Boolean isShowLines)

### isShowShapes

    boolean isShowShapes()

  Deprecated. Replaced by `getShowShapes()`

### getShowShapes

    java.lang.Boolean getShowShapes()

### setShowShapes

    void setShowShapes(boolean isShowShapes)

  Deprecated. Replaced by `setShowShapes(Boolean)`

### setShowShapes

    void setShowShapes(java.lang.Boolean isShowShapes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com